﻿using System.Collections.Generic;

namespace XHWK.Model
{
    #region 铺码模型
    /// <summary>
    /// TQL铺码模型
    /// </summary>
    public class Model_TmatrixCode
    {
        /// <summary>
        /// 返回标志
        /// </summary>
        public string state { get; set; }
        /// <summary>
        /// 返回标志说明
        /// </summary>
        public string message { get; set; }
        /// <summary>
        /// 文件名
        /// </summary>
        public string filename { get; set; }
        /// <summary>
        /// 文件原始宽度
        /// </summary>
        public string width { get; set; }
        /// <summary>
        /// 文件原始高度
        /// </summary>
        public string hight { get; set; }
        /// <summary>
        /// 分配的铺码 ID
        /// </summary>
        public string pageserial { get; set; }
        /// <summary>
        /// 铺码文件使用的 sectionId
        /// </summary>
        public string sectionId { get; set; }
        /// <summary>
        /// 铺码文件使用的 ownerId
        /// </summary>
        public string ownerId { get; set; }
        /// <summary>
        /// 铺码文件使用的 bookId
        /// </summary>
        public string bookId { get; set; }
        /// <summary>
        /// 铺码文件的 page 信息
        /// </summary>
        public List<Model_PageInfoItem> pageInfo { get; set; }

    }
    /// <summary>
    /// PDF页码对应铺码ID
    /// </summary>
    public class Model_PageInfoItem
    {
        /// <summary>
        /// Pdf 文件页码
        /// </summary>
        public string pagenumber { get; set; }
        /// <summary>
        /// Pdf 文件页码对应使用的铺码pageid
        /// </summary>
        public string pageid { get; set; }
    }

    #endregion

    #region 查询进度
    /// <summary>
    /// 进度查询
    /// </summary>
    public class Model_ScheduleQuery
    {
        /// <summary>
        /// 结果
        /// </summary>
        public string state { get; set; }
        /// <summary>
        /// 消息
        /// </summary>
        public string message { get; set; }
        /// <summary>
        /// 进度列表
        /// </summary>
        public List<Model_ScheduleQueryState> list { get; set; }
    }
    /// <summary>
    /// 查询状态
    /// </summary>
    public class Model_ScheduleQueryState
    {
        /// <summary>
        /// 铺码 ID
        /// </summary>
        public string pageserial { get; set; }
        /// <summary>
        /// 返回铺码进度:0-100
        /// </summary>
        public string schedule { get; set; }
        /// <summary>
        /// 状态   0：未铺码 1：正在铺码 2：铺码完成，3：未查到。
        /// </summary>
        public string state { get; set; }
    }
    #endregion

    #region 历史查询
    /// <summary>
    /// 历史查询模型
    /// </summary>
    public class Model_HistoryQuery
    {
        /// <summary>
        /// 返回标志
        /// </summary>
        public string state { get; set; }
        /// <summary>
        /// 返回标志说明
        /// </summary>
        public string message { get; set; }
        /// <summary>
        /// 历史数据列表数组
        /// </summary>
        public List<Model_HistoryPageList> pageList { get; set; }
    }
    /// <summary>
    /// 历史数据列表
    /// </summary>
    public class Model_HistoryPageList
    {
        /// <summary>
        /// 页码 ID
        /// </summary>
        public string pageIndex { get; set; }
        /// <summary>
        /// 历史数据 pdf 文档详情数组
        /// </summary>
        public List<Model_HistoryListItem> list { get; set; }
    }
    /// <summary>
    /// 历史信息
    /// </summary>
    public class Model_HistoryListItem
    {
        /// <summary>
        /// 铺码 ID
        /// </summary>
        public string pageserial { get; set; }
        /// <summary>
        /// 铺码名称
        /// </summary>
        public string fileName { get; set; }
        /// <summary>
        /// 铺码使用的 sectionId
        /// </summary>
        public string sectionId { get; set; }
        /// <summary>
        /// 铺码使用的 ownerId
        /// </summary>
        public string ownerId { get; set; }
        /// <summary>
        /// 铺码使用的 bookid
        /// </summary>
        public string bookId { get; set; }
        /// <summary>
        /// 铺码使用的开始 pagid
        /// </summary>
        public string beginPagId { get; set; }
        /// <summary>
        /// 铺码使用的结束 pagid
        /// </summary>
        public string endPagId { get; set; }
        /// <summary>
        /// 下载 URL
        /// </summary>
        public string url { get; set; }
    }
    #endregion
    public enum Enum_StatetType
    {
        //1000 操作成功
        //1001 打开数据库失败
        //1002 用户名或密码错误
        //1003 Key 信息错误（过期或已使用完）
        //1004 上传 Pdf 文档无法打开
        //1005 铺码初始化失败
        //1006 铺码错误
        //1007 Json 数据错误
        //1008 接口错误
        //1009 UserID 错误
        //1010 未查到该历史数据

    }
}
